## dnstop 20040309

=== Makefile ===
CFLAGS=-g -Wall
PROG=dnstop
DATE != date +%Y%m%d
CC=gcc

SRCS=	$(PROG).c \
	known_tlds.h

# You may need to uncomment this, esp on Solaris
XTRALIBS= # -lnsl -lresolv -lsocket

all: $(PROG)

$(PROG): $(PROG).o
	$(CC) $(CFLAGS) -o $@ $(PROG).o -lpcap -lcurses $(XTRALIBS)

clean:
	rm -f $(PROG) $(PROG).o $(PROG).core $(PROG).c~

tar:
	mkdir $(PROG)-$(DATE)
	cp -p LICENSE CHANGES $(SRCS) dnstop.8 Makefile $(PROG)-$(DATE)
	tar czvf $(PROG)-$(DATE).tar.gz $(PROG)-$(DATE)
	chmod 444 $(PROG)-$(DATE).tar.gz
	rm -rf $(PROG)-$(DATE)

## dnstop 20050203

=== Makefile ===
--- 
+++ 
@@ -23,3 +23,4 @@
 	tar czvf $(PROG)-$(DATE).tar.gz $(PROG)-$(DATE)
 	chmod 444 $(PROG)-$(DATE).tar.gz
 	rm -rf $(PROG)-$(DATE)
+	md5 *.gz > MD5s.txt

## dnstop 20060517

=== Makefile ===
--- 
+++ 
@@ -12,7 +12,7 @@
 all: $(PROG)
 
 $(PROG): $(PROG).o
-	$(CC) $(CFLAGS) -o $@ $(PROG).o -lpcap -lcurses $(XTRALIBS)
+	$(CC) $(CFLAGS) $(LDFLAGS) -o $@ $(PROG).o -lpcap -lcurses $(XTRALIBS)
 
 clean:
 	rm -f $(PROG) $(PROG).o $(PROG).core $(PROG).c~

## dnstop 20070510

=== Makefile ===
CFLAGS=-g -Wall -DUSE_IPV6=1 -DUSE_PPP=0
PROG=dnstop
DATE != date +%Y%m%d
CC=gcc

SRCS=	$(PROG).c \
	hashtbl.c \
	hashtbl.h \
	known_tlds.h \
	lookup3.c

OBJS=	$(PROG).o \
	hashtbl.o \
	lookup3.o

PREFIX=	/usr/local


# You may need to uncomment this, esp on Solaris
XTRALIBS= # -lnsl -lresolv -lsocket

all: $(PROG)

$(PROG): $(OBJS)
	$(CC) $(CFLAGS) $(LDFLAGS) -o $@ $(OBJS) -lpcap -lcurses $(XTRALIBS)

clean:
	rm -f $(PROG) $(OBJS) $(PROG).core $(PROG).c~

tar:
	mkdir $(PROG)-$(DATE)
	cp -p LICENSE CHANGES $(SRCS) dnstop.8 Makefile $(PROG)-$(DATE)
	tar czvf $(PROG)-$(DATE).tar.gz $(PROG)-$(DATE)
	chmod 444 $(PROG)-$(DATE).tar.gz
	rm -rf $(PROG)-$(DATE)
	md5 *.gz > MD5s.txt

install: $(PROG)
	install -m 755 $(PROG) $(PREFIX)/bin
	install -m 644 dnstop.8 $(PREFIX)/man/man8

uninstall:
	rm -f $(PREFIX)/bin/$(PROG) $(PREFIX)/man/man8/dnstop.8

## dnstop 20080321

=== Makefile ===
CFLAGS=-g -Wall
OPTFLAGS=-DUSE_IPV6=1 -DUSE_PPP=0
PROG=dnstop
DATE != date +%Y%m%d
CC=gcc

SRCS=	$(PROG).c \
	hashtbl.c \
	hashtbl.h \
	known_tlds.h \
	lookup3.c

OBJS=	$(PROG).o \
	hashtbl.o \
	lookup3.o

PREFIX=/usr/local
BINDIR=$(PREFIX)/bin
DATADIR=$(PREFIX)/share
MANDIR=$(DATADIR)/man


# You may need to uncomment this, esp on Solaris
XTRALIBS= # -lnsl -lresolv -lsocket

all: $(PROG)

$(PROG): $(OBJS)
	$(CC) $(CFLAGS) $(LDFLAGS) -o $@ $(OBJS) -lpcap -lcurses $(XTRALIBS)

dnstop.o: dnstop.c
	$(CC) $(CFLAGS) $(OPTFLAGS) -c $<

clean:
	rm -f $(PROG) $(OBJS) $(PROG).core $(PROG).c~

tar:
	mkdir $(PROG)-$(DATE)
	cp -p LICENSE CHANGES $(SRCS) $(PROG).8 Makefile $(PROG)-$(DATE)
	perl -pi -e "s/\@VERSION\@/$(DATE)/" $(PROG)-$(DATE)/dnstop.c
	tar czvf $(PROG)-$(DATE).tar.gz $(PROG)-$(DATE)
	chmod 444 $(PROG)-$(DATE).tar.gz
	rm -rf $(PROG)-$(DATE)
	md5 *.gz > MD5s.txt

install: $(PROG)
	install -m 755 $(PROG) $(BINDIR)
	install -m 644 $(PROG).8 $(MANDIR)/man8

uninstall:
	rm -f $(BINDIR)/$(PROG)
	rm -f $(MANDIR)/man8/$(PROG).8

## dnstop 20120611

=== debian/changelog ===
dnstop (20120611-2build3) cosmic; urgency=medium

  * No-change rebuild for ncurses soname changes.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 03 May 2018 14:14:29 +0000

dnstop (20120611-2build2) bionic; urgency=high

  * No change rebuild to pick up -fPIE compiler default

 -- Balint Reczey <rbalint@ubuntu.com>  Tue, 03 Apr 2018 12:19:50 +0000

dnstop (20120611-2build1) xenial; urgency=medium

  * No-change rebuild for ncurses6 transition.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 06 Feb 2016 20:52:29 +0000

dnstop (20120611-2) unstable; urgency=low

  * remove dnstop.o rule from Makefile (fix hardening)

 -- Marc Haber <mh+debian-packages@zugschlus.de>  Mon, 18 Jun 2012 13:43:13 +0200

dnstop (20120611-1) unstable; urgency=low

  * New upstream version.
  * Imported Upstream version 20120611
  * new maintainer
  * source format 3.0 (quilt)
  * debhelper 9 instead of cdbs
  * add Vcs headers
  * Standards-Version: 3.9.3 (no changes needed)

 -- Marc Haber <mh+debian-packages@zugschlus.de>  Sun, 17 Jun 2012 23:27:08 +0200

dnstop (20080321-1) unstable; urgency=low

  * New upstream release
  * debian/rules:
    - man page is installed by upstream
    - CFLAGS now configured in upstream Makefile
  * updated debian/patches/Makefile.path
  * debian/control:
    - Made Homepage a real field
    - Bumped Standards-Version to 3.7.3, no changes needed

 -- Adriaan Peeters <apeeters@lashout.net>  Fri, 28 Mar 2008 21:24:23 +0100

dnstop (20070510-1) unstable; urgency=low

  * New upstream release (Closes: #419457)
  * USE_PPP=1 instead of 0
  * debian/copyright: added notice about lookup3.c

 -- Adriaan Peeters <apeeters@lashout.net>  Mon, 14 May 2007 09:47:56 +0200

dnstop (20070307-1) unstable; urgency=low

  * New upstream release
    - Add support for PPP devices (Closes: #413236)
  * Removed debian/patches/dnstop.c.patch (included upstream)
  * Updated patches/Makefile.patch
  * debian/rules: added IPV6 and PPP CFLAGS

 -- Adriaan Peeters <apeeters@lashout.net>  Wed,  4 Apr 2007 12:01:38 +0200

dnstop (20060517-2) unstable; urgency=low

  * Fix FTBFS on GNU/kFreeBSD (Closes: #403738)
    - added patches/dnstop.c.patch

 -- Adriaan Peeters <apeeters@lashout.net>  Tue, 16 Jan 2007 11:31:11 +0100

dnstop (20060517-1) unstable; urgency=low

  * New upstream release
  * Updated previous changelog entry (20050424-1)
  * debian/control: Added homepage
  * debian/copyright: Updated url

 -- Adriaan Peeters <apeeters@lashout.net>  Fri, 19 May 2006 00:27:37 +0200

dnstop (20060424-2) unstable; urgency=low

  * Bumped Standards-Version to 3.7.2, no changes needed

 -- Adriaan Peeters <apeeters@lashout.net>  Thu, 11 May 2006 14:10:57 +0200

dnstop (20060424-1) unstable; urgency=low

  * New upstream release (Closes: #366840)
    - adding .cat .eu .gb .jobs .mobi .su .tl .travel
    - removing .eh .kp

 -- Adriaan Peeters <apeeters@lashout.net>  Mon, 24 Apr 2006 21:24:22 +0200

dnstop (20050405-2) unstable; urgency=low

  * Bumped Standards-Version to 3.6.2, no changes needed
  * Added 'License' section header to debian/copyright
  * Added debian/compat
  * debian/control:
    - Added Depends: ${misc:Depends}
    - Changed Build-Depends: to debhelper (>> 5.0.0)
    - Added Build-Depends: cdbs, patchutils
  * debian/rules:
    - Changed to use cdbs
  * Use debian/patches instead of direct source changes

 -- Adriaan Peeters <apeeters@lashout.net>  Mon, 24 Apr 2006 11:14:29 +0200

dnstop (20050405-1) unstable; urgency=low

  * New upstream release
  * Updated debian/control to make clear the list of features is just
    a selection

 -- Adriaan Peeters <apeeters@lashout.net>  Wed, 11 May 2005 14:28:11 +0200

dnstop (20050203-1) unstable; urgency=low

  * New upstream release
  * Now build-depends on libpcap0.8-dev

 -- Adriaan Peeters <apeeters@lashout.net>  Wed,  9 Feb 2005 13:21:42 +0100

dnstop (20040309-1) unstable; urgency=low

  * New upstream release
  * Bumped Standards-Version, no changes needed

 -- Adriaan Peeters <apeeters@lashout.net>  Thu,  8 Apr 2004 23:08:23 +0200

dnstop (20031113-1) unstable; urgency=low

  * New upstream release

 -- Adriaan Peeters <apeeters@lashout.net>  Wed, 31 Dec 2003 02:29:47 +0100

dnstop (20030228-1) unstable; urgency=low

  * Initial debian release (Closes: #178332)
  * Corrected copyright file and package description
  * Adjusted the makefile to fix $(DESTDIR) problems

 -- Adriaan Peeters <apeeters@lashout.net>  Sun,  9 Mar 2003 16:58:05 +0000

=== debian/control ===
Source: dnstop
Section: net
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Marc Haber <mh+debian-packages@zugschlus.de>
Homepage: http://dns.measurement-factory.com/tools/dnstop/
Build-Depends: debhelper (>= 9~), libncurses-dev, libpcap0.8-dev
Vcs-Git: git://git.debian.org/git/collab-maint/dnstop.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/dnstop.git;a=summary
Standards-Version: 3.9.3

Package: dnstop
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: console tool to analyze DNS traffic
 dnstop is a console tool to analyze and display various tables of DNS traffic.
 Currently dnstop displays tables of (among others):
  * Source IP addresses
  * Destination IP addresses
  * Query types
  * Top level domains
  * Second level domains

=== debian/watch ===
version=2

http://dns.measurement-factory.com/tools/dnstop/src/ \
         dnstop-([\d\.]*).tar.gz

## dnstop 20240820

=== debian/changelog ===
dnstop (20240820-1) unstable; urgency=medium

  [ Marc Haber ]
  * new upstream snapshot 20240820
  * remove unnecessary patch
  * replace debian/watch with a commented no-op
  * debhelper compat level 13
  * override_dh_auto_configure with an adapted command line
  * remove trailing whitespace in changelog
  * Standards-Version: 4.7.0 (no changes necessary)
  * DEP-5 copyright file
  * enable all hardening
  * add salsa-ci.yml

  [ Jelmer Vernooĳ ]
  * Migrate repository from alioth to salsa.

 -- Marc Haber <mh+debian-packages@zugschlus.de>  Tue, 20 Aug 2024 15:25:16 +0200

=== debian/control ===
Source: dnstop
Section: net
Priority: optional
Maintainer: Marc Haber <mh+debian-packages@zugschlus.de>
Homepage: http://dns.measurement-factory.com/tools/dnstop/
Build-Depends: debhelper-compat (= 13), libncurses-dev, libpcap0.8-dev
Vcs-Git: https://salsa.debian.org/debian/dnstop.git
Vcs-Browser: https://salsa.debian.org/debian/dnstop
Standards-Version: 4.7.0
Rules-Requires-Root: no

Package: dnstop
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: console tool to analyze DNS traffic
 dnstop is a console tool to analyze and display various tables of DNS traffic.
 Currently dnstop displays tables of (among others):
  * Source IP addresses
  * Destination IP addresses
  * Query types
  * Top level domains
  * Second level domains

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_auto_configure:
	./configure --build=x86_64-linux-gnu --prefix=/usr --exec-prefix=/usr --datarootdir=/usr --includedir=\${prefix}/include --mandir=/usr/share/man --infodir=/usr/share/info --sysconfdir=/etc --localstatedir=/var --disable-option-checking --disable-silent-rules --libdir=/usr/lib/x86_64-linux-gnu --disable-maintainer-mode --disable-dependency-tracking $(shell dpkg-buildflags --export=configure)

=== debian/watch ===
# this is not a functional debian/watch file
# Upstream is on https://github.com/measurement-factory/dnstop
# They do not do releases
